org.openstreetmap.josm.plugins.streetside.cubemap

## Class GraphicsUtils

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.cubemap.GraphicsUtils

-     public class GraphicsUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphicsUtils.PlatformHelper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.image.BufferedImage` | `buildMultiTiledCubemapFaceImage(java.awt.image.BufferedImage[] tiles)`
    `static javafx.scene.image.Image` | `convertBufferedImage2JavaFXImage(java.awt.image.BufferedImage bf)`
    `private static java.awt.image.BufferedImage[]` | `cropMultiTiledImages(java.awt.image.BufferedImage[] tiles, int pixelBuffer)`
    `static java.awt.image.BufferedImage` | `rotateImage(java.awt.image.BufferedImage bufImg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          static final org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### GraphicsUtils

          public GraphicsUtils()

  - ### Method Detail

    - #### convertBufferedImage2JavaFXImage

          public static javafx.scene.image.Image convertBufferedImage2JavaFXImage(java.awt.image.BufferedImage bf)

    - #### buildMultiTiledCubemapFaceImage

          public static java.awt.image.BufferedImage buildMultiTiledCubemapFaceImage(java.awt.image.BufferedImage[] tiles)

    - #### rotateImage

          public static java.awt.image.BufferedImage rotateImage(java.awt.image.BufferedImage bufImg)

    - #### cropMultiTiledImages

          private static java.awt.image.BufferedImage[] cropMultiTiledImages(java.awt.image.BufferedImage[] tiles,
                                                                             int pixelBuffer)

JOSM Plugins